org.apache.cxf.helpers

## Class HttpHeaderHelper

- java.lang.Object
- - org.apache.cxf.helpers.HttpHeaderHelper

-     public final class HttpHeaderHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCEPT_ENCODING`
    `static String` | `AUTHORIZATION`
    `static String` | `CHUNKED`
    `static String` | `CLOSE`
    `static String` | `CONNECTION`
    `static String` | `CONTENT_ENCODING`
    `static String` | `CONTENT_ID`
    `static String` | `CONTENT_LENGTH`
    `static String` | `CONTENT_TRANSFER_ENCODING`
    `static String` | `CONTENT_TYPE`
    `static String` | `COOKIE`
    `static String` | `TRANSFER_ENCODING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `findCharset(String contentType)`
    `static List<String>` | `getHeader(Map<String,List<String>> headerMap, String key)`
    `static String` | `getHeaderKey(String key)`
    `static String` | `mapCharset(String enc)`
    `static String` | `mapCharset(String enc, String deflt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCEPT_ENCODING

          public static final String ACCEPT_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_ID

          public static final String CONTENT_ID

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          public static final String CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          public static final String CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### CONTENT_TRANSFER_ENCODING

          public static final String CONTENT_TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### COOKIE

          public static final String COOKIE

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          public static final String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### CHUNKED

          public static final String CHUNKED

      See Also:
        Constant Field Values

    - #### CONNECTION

          public static final String CONNECTION

      See Also:
        Constant Field Values

    - #### CLOSE

          public static final String CLOSE

      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final String AUTHORIZATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHeader

          public static List<String> getHeader(Map<String,List<String>> headerMap,
                                               String key)

    - #### getHeaderKey

          public static String getHeaderKey(String key)

    - #### findCharset

          public static String findCharset(String contentType)

    - #### mapCharset

          public static String mapCharset(String enc)

    - #### mapCharset

          public static String mapCharset(String enc,
                                          String deflt)

Apache CXF